Subject: bug#36649: 27.0.50; pure space and pdumper

From: Po Lu <[email-masked]>
Date: Sat, 02 Jul 2022 18:55:09 +0800

Eli Zaretskii <[email-masked]> writes:

> The C library and the environment used by the MS-DOS port do have
> mprotect, but it is only supported with some DPMI servers, and the
> MS-Windows DPMI server is not one of them.

Too bad.  That means MS-DOS will have to do with the old garbage
collector.

> But I don't think this is too relevant, since memory protection in
> MS-DOS is more or less a no-op.

For incremental garbage collection to work, Emacs needs to be able to
place memory protection on "blocks" of objects allocated to align with a
page start, in order to receive a signal when a write to an object in
such a block happens.